class UserState {
  isLoggedIn = $state(false);

  constructor() { }

  async checkIsLoggedIn() {
    const res = await fetch('/auth/verify', {
      mode: 'no-cors',
      method: 'GET',
    });

    this.isLoggedIn = res.ok;
  }
}

export const userstate = new UserState();
